### Method

# Gtk RecentManagerlookup_item

#### Declaration [src]

    GtkRecentInfo*
    gtk_recent_manager_lookup_item (
      GtkRecentManager* manager,
      const char* uri,
      GError** error
    )

#### Description [src]

Searches for a URI inside the recently used resources list, and returns a `GtkRecentInfo` containing information about the resource like its MIME type, or its display name.

#### Parameters

`uri`

  Type: `const char*`

  A URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GtkRecentInfo`

A `GtkRecentInfo` containing information about the resource pointed by `uri`, or `NULL` if the URI was not registered in the recently used resources list. Free with `gtk_recent_info_unref()`.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.